Announcement Announcement Module
Collapse
No announcement yet.
Ever tried JVM Monitor (a tptp surrogate) STS-2.8.1.RELEASE? Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Ever tried JVM Monitor (a tptp surrogate) STS-2.8.1.RELEASE?

    I was trying to install JVM Monitor (http://jvmmonitor.org/) on my STS-2.8.1.RELEASE from its update site (http://www.jvmmonitor.org/updates/3.7).
    It fails complaining
    Cannot complete the install because one or more required items could not be found.
    Software currently installed: m2e connector for build-helper-maven-plugin 0.14.0.201109282148 (org.sonatype.m2e.buildhelper.feature.feature.grou p 0.14.0.201109282148)
    Missing requirement: m2e connector for build-helper-maven-plugin 0.14.0.201109282148 (org.sonatype.m2e.buildhelper.feature.feature.grou p 0.14.0.201109282148) requires 'org.sonatype.m2e.buildhelper [0.14.0.201109282148]' but it could not be found
    Then I tried to revert to m2eclipse 0.12, as per its description
    The purpose of this composite install is to allow users to use a legacy version of m2e. Use this extension if you are having trouble getting your Maven-based projects compiling with the most recent release of m2e. Installing this extension will automatically uninstall any other version of m2eclipse currently in your STS.
    but it failed complaining
    Could not uninstall features:
    [org.sonatype.m2e.mavenarchiver.feature.feature.gro up, org.sonatype.m2e.buildhelper.feature.feature.group , org.eclipse.m2e.feature.feature.group, org.eclipse.m2e.logback.feature.feature.group, org.maven.ide.eclipse.ajdt.feature.feature.group, org.maven.ide.eclipse.wtp.feature.feature.group],
    try uninstalling manually.
    java.lang.reflect.InvocationTargetException
    Then I tried to install the eclipse market place (to install vm monitor from there) but the marketplace client installation fails complaining
    Problems occurred while performing installation: Operation details
    Operation details
    Cannot complete the install because one or more required items could not be found.
    Software currently installed: Subclipse Integration for Mylyn 3.x (Optional) 3.0.0 (org.tigris.subversion.subclipse.mylyn.feature.gro up 3.0.0)
    Missing requirement: Subclipse Integration for Mylyn 3.x (Optional) 3.0.0 (org.tigris.subversion.subclipse.mylyn.feature.gro up 3.0.0) requires 'org.tigris.subversion.subclipse.core 1.1.9' but it could not be found
    I'm using subclipse 1.8.4 (directly installed from it's update site cause it has some fixes not available on the 1.6.x releases)

    Please tell me: what else can I do to use VM Monitor on my STS? It works properly on a plain Eclipse Indigo.

    UPDATE: Moreover yesterday I had some other error messages related to m2e, i.e.
    !ENTRY org.eclipse.m2e.maven.runtime 4 0 2011-12-21 18:42:41.820
    !MESSAGE FrameworkEvent ERROR
    !STACK 0
    java.util.zip.ZipException: Exception in opening zip file: /home/davide/opt/springsource/sts-2.8.1.RELEASE/plugins/org.eclipse.m2e.maven.runtime_1.0.100.20110804-1717/jars/plexus-sec-dispatcher-1.3.jar
    at org.eclipse.osgi.framework.util.SecureAction.getZi pFile(SecureAction.java:287)
    at org.eclipse.osgi.baseadaptor.bundlefile.ZipBundleF ile.basicOpen(ZipBundleFile.java:87)
    at org.eclipse.osgi.baseadaptor.bundlefile.ZipBundleF ile.getZipFile(ZipBundleFile.java:100)
    at org.eclipse.osgi.baseadaptor.bundlefile.ZipBundleF ile.checkedOpen(ZipBundleFile.java:73)
    at org.eclipse.osgi.baseadaptor.bundlefile.ZipBundleF ile.getEntry(ZipBundleFile.java:245)
    at org.eclipse.equinox.weaving.hooks.WeavingBundleFil e.getEntry(Unknown Source)
    at org.eclipse.osgi.baseadaptor.bundlefile.BundleFile WrapperChain.getEntry(BundleFileWrapperChain.java: 43)
    at org.eclipse.osgi.baseadaptor.loader.ClasspathManag er.findClassImpl(ClasspathManager.java:540)
    at org.eclipse.osgi.baseadaptor.loader.ClasspathManag er.findLocalClassImpl(ClasspathManager.java:490)
    at org.eclipse.osgi.baseadaptor.loader.ClasspathManag er.findLocalClass_LockClassLoader(ClasspathManager .java:478)
    at org.eclipse.osgi.baseadaptor.loader.ClasspathManag er.findLocalClass(ClasspathManager.java:458)
    at org.eclipse.osgi.internal.baseadaptor.DefaultClass Loader.findLocalClass(DefaultClassLoader.java:216)
    at org.eclipse.osgi.internal.loader.BundleLoader.find LocalClass(BundleLoader.java:400)
    at org.eclipse.osgi.internal.loader.BundleLoader.find ClassInternal(BundleLoader.java:476)
    at org.eclipse.osgi.internal.loader.BundleLoader.find Class(BundleLoader.java:429)
    at org.eclipse.osgi.internal.loader.BundleLoader.find Class(BundleLoader.java:417)
    at org.eclipse.osgi.internal.baseadaptor.DefaultClass Loader.loadClass(DefaultClassLoader.java:107)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:2 95)
    at org.codehaus.plexus.classworlds.realm.ClassRealm.l oadClass(ClassRealm.java:239)
    at org.codehaus.plexus.classworlds.realm.ClassRealm.l oadClass(ClassRealm.java:230)
    at org.sonatype.guice.bean.reflect.URLClassSpace.load Class(URLClassSpace.java:97)
    at org.sonatype.guice.bean.reflect.NamedClass.load(Na medClass.java:46)
    at org.sonatype.guice.bean.binders.DependencyAnalyzer .visit(DependencyAnalyzer.java:88)
    at org.sonatype.guice.bean.binders.DependencyAnalyzer .visit(DependencyAnalyzer.java:48)
    at com.google.inject.internal.ProviderInstanceBinding Impl.acceptTargetVisitor(ProviderInstanceBindingIm pl.java:62)
    at org.sonatype.guice.bean.binders.ElementAnalyzer.vi sit(ElementAnalyzer.java:82)
    at org.sonatype.guice.bean.binders.ElementAnalyzer.vi sit(ElementAnalyzer.java:29)
    at com.google.inject.internal.BindingImpl.acceptVisit or(BindingImpl.java:93)
    at org.sonatype.guice.bean.binders.WireModule.configu re(WireModule.java:81)
    at com.google.inject.spi.Elements$RecordingBinder.ins tall(Elements.java:223)
    at com.google.inject.spi.Elements.getElements(Element s.java:101)
    at com.google.inject.internal.InjectorShell$Builder.b uild(InjectorShell.java:132)
    at com.google.inject.internal.InternalInjectorCreator .build(InternalInjectorCreator.java:103)
    at com.google.inject.Guice.createInjector(Guice.java: 95)
    at com.google.inject.Guice.createInjector(Guice.java: 72)
    at com.google.inject.Guice.createInjector(Guice.java: 62)
    at org.codehaus.plexus.DefaultPlexusContainer.addPlex usInjector(DefaultPlexusContainer.java:459)
    at org.codehaus.plexus.DefaultPlexusContainer.<init>( DefaultPlexusContainer.java:192)
    at org.eclipse.m2e.core.internal.embedder.MavenImpl.n ewPlexusContainer(MavenImpl.java:1144)
    at org.eclipse.m2e.core.internal.embedder.MavenImpl.g etPlexusContainer(MavenImpl.java:1076)
    at org.eclipse.m2e.core.internal.embedder.MavenImpl.l ookup(MavenImpl.java:1130)
    at org.eclipse.m2e.core.internal.embedder.MavenImpl.c reateExecutionRequest(MavenImpl.java:209)
    at org.eclipse.m2e.core.internal.project.registry.Pro jectRegistryManager.refresh(ProjectRegistryManager .java:294)
    at org.eclipse.m2e.core.internal.project.registry.Pro jectRegistryRefreshJob.run(ProjectRegistryRefreshJ ob.java:87)
    at org.eclipse.core.internal.jobs.Worker.run(Worker.j ava:54)
    Caused by: java.util.zip.ZipException: error in opening zip file
    at java.util.zip.ZipFile.open(Native Method)
    at java.util.zip.ZipFile.<init>(ZipFile.java:127)
    at java.util.zip.ZipFile.<init>(ZipFile.java:143)
    at org.eclipse.osgi.framework.util.SecureAction.getZi pFile(SecureAction.java:274)
    ... 44 more
    Last edited by d_cavestro; Dec 22nd, 2011, 08:46 AM.

  • #2
    Hi!

    This looks like a complicated installation problem. Interestingly, when I try to install the JVMMonitor from the update site you mentioned, I get a different error message:

    An error occurred while collecting items to be installed
    session context wasprofile=com.springsource.sts.ide, phase=org.eclipse.equinox.internal.p2.engine.phase s.Collect, operand=, action=).
    Artifact not found: osgi.bundle,org.jvmmonitor.core,3.7.1.201108172315 .
    http://www.jvmmonitor.org/updates/3....1108172315.jar
    Artifact not found: osgi.bundle,org.jvmmonitor.doc,3.7.1.201108172315.
    http://www.jvmmonitor.org/updates/3....1108172315.jar
    Artifact not found: org.eclipse.update.feature,org.jvmmonitor,3.7.1.20 1108172315.
    http://www.jvmmonitor.org/updates/3....1108172315.jar
    Artifact not found: osgi.bundle,org.jvmmonitor.tools,3.7.1.20110817231 5.
    http://www.jvmmonitor.org/updates/3....1108172315.jar
    Artifact not found: osgi.bundle,org.jvmmonitor.ui,3.7.1.201108172315.
    http://www.jvmmonitor.org/updates/3....1108172315.jar

    Looking at the update site itself, there seems to me an inconsistency somewhere on that site. The error message that I get complains about missing artifacts for version ...2315, but on the update site there are only versions available ...2328.

    I would suggest to contact the JVMMonitor team and ask them for a little help here.

    HTH,
    Martin

    Comment


    • #3
      Interestingly, the installation via the Eclipse Marketplace seems to work. Can you try to install the Eclipse Marketplace Client (from the Dashboard) and then use that to install the JVMMonitor into STS 2.8.1. I tried this with a fresh STS 2.8.1 installation and it worked.

      HTH,
      Martin

      Comment


      • #4
        Originally posted by Martin Lippert View Post
        Interestingly, the installation via the Eclipse Marketplace seems to work. Can you try to install the Eclipse Marketplace Client (from the Dashboard) and then use that to install the JVMMonitor into STS 2.8.1. I tried this with a fresh STS 2.8.1 installation and it worked.

        HTH,
        Martin
        Hi Martin,
        I confirm a fresh STS 2.8.1 installation with the Eclipse Marketplace Client works properly. I really don't know what that kind of problems had that installation. I also took advantage of the fresh installation first of all removing m2e packages.
        Many thanks for your support.

        Cheers
        Davide

        Comment


        • #5
          Hey Davide,

          good to hear its working for you now! Thanks for the feedback!

          Cheers,
          -Martin

          Comment

          Working...
          X